最終更新:2018-10-05 (金) 22:52:00 (18d)

TeX Live > TeX Live/Linux > texlive-dummy

texlive-dummy は TeX Live の dummy パッケージ



Arch Linux

yay -S texlive-dummy

~/.bashrc

alias pacman="pacman --assume-installed texlive-bin $(\pacman -Sgq texlive-most texlive-lang)"

Latest Comments

zhou13 commented on 2018-02-26 21:56
I am not on the mail list so I cannot post there. But I don't agree with that argument. He argued that "if we let people submit dummy packages, eventually we will have one dummy package in the AUR for each real package in the repos, on top of the numerous variations, patched versions, git version, devel versions, and compat versions". However, there is a reason why packages likes texlive and maybe nodejs deserve a different treatment. They have their own repository so essentially they are like distribution. It is reasonable to use the upstream package, which has less bugs and upgrades more frequently. In case of texlive, it has a huge list of dependency. Having an aur package is really convenient.

FabioLolix commented on 2018-02-25 23:09
As per this discussion https://lists.archlinux.org/pipermail/aur-requests/2018-January/021830.html keep your pacman trickery for yourself and ask for deletion of this package or I'll do it. Thanks :)

zhou13 commented on 2018-01-21 23:53
I don't know why the old texlive-dummy is removed from AUR so I created this. I just looked up the --asume-installed and I think they are very different. IMO the former is more likely to be a temporary solution. I don't want to have any inconsistency in my package dependency and texlive-dummy seems to be the only solution. I don't think such functionality can be replaced by --assumend-installed.

Foucault commented on 2018-01-21 11:57
This will get flagged for deletion again because the functionality is built-in to pacman.

pacman --assume-installed texlive-bin=2017.44590 etc.

It is however more convenient to have a separate package instead of adding a dozen command line arguments when installing a package.

Linux Mint, Debian, Ubuntu

sudo apt install equivs
wget http://www.tug.org/texlive/files/debian-equivs-2018-ex.txt
equivs-build debian-equivs-2018-ex.txt
sudo dpkg -i texlive-local_2018-1_all.deb

Fedora

sudo dnf copr enable fatka/texlive-dummy
sudo dnf install texlive-dummy

openSUSE

sudo zypper install http://mirrors.ctan.org/support/texlive/texlive-dummy/openSUSE/texlive-dummy-2018.9999-1.noarch.rpm

Red Hat Enterprise Linux (RHEL), CentOS

sudo yum install http://mirrors.ctan.org/support/texlive/texlive-dummy/EnterpriseLinux-7/texlive-dummy-2012a-1.el7.noarch.rpm

Gentoo Linux

/etc/portage/profile/package.provided に

app-text/texlive-2018